<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>qemu range_init_nofail()</h1>

<pre class="code">
  /*
   * Initialize range to span the interval [lob,lob + size - 1].
   * size may be 0. Range must not overflow.
   */
  static inline void range_init_nofail(Range *range, uint64_t lob,
                                       uint64_t size)
  {
      range->lob = lob;
      range->upb = lob + size - 1;
  }
</pre>
